/*++

Copyright (c) Sydus.

Module:

    ServerSocket.h

Authors:

    Sharvil Nanavati (sharvil) 2006-07-30

--*/

#pragma once

#include "base.h"
#include "Socket.h"

class InetAddress;

class ServerSocket : public Socket
{
	public:
		virtual void Bind(uint16 port);
		virtual void Bind(const InetAddress & ip, uint16 port);

		void SetReuseAddress(bool reuse);

	protected:
		ServerSocket(const ENetworkProtocol & protocol);
};
