/*++

Copyright (c) Sydus.

Module:

    ContinuumCrypt.h

Authors:

    Sharvil Nanavati (sharvil) 2008-04-17

--*/

#pragma once

#include "base.h"
#include "ICryptosystem.h"

class ContinuumCrypt : public ICryptosystem
{
	public:
		explicit ContinuumCrypt(const BString & key);

		void Encrypt(BString & data);
		void Decrypt(BString & data);

		void Encrypt(uint8 * data, uint32 length);
		void Decrypt(uint8 * data, uint32 length);

	private:
		uint32 iKey[20];
};
