/*++

Copyright (c) Sydus.

Module:

    ICryptosystem.h

Authors:

    Sharvil Nanavati (sharvil) 2008-04-17

--*/

#pragma once

#include "base.h"

class ICryptosystem
{
	public:
		virtual ~ICryptosystem() {}

		virtual void Encrypt(BString & data) = 0;
		virtual void Decrypt(BString & data) = 0;

		virtual void Encrypt(uint8 * data, uint32 length) = 0;
		virtual void Decrypt(uint8 * data, uint32 length) = 0;
};
