/*++

Copyright (c) Sydus.

Module:

    Mutex.h

Authors:

    Sharvil Nanavati (sharvil) 2006-03-22

--*/

#pragma once

#include "base.h"

class IMutexImplementation;

class Mutex : private NonCopyable
{
	public:
		Mutex();
		~Mutex();

		bool TryLock();
		void Lock();
		void Unlock();

	private:
		IMutexImplementation * iPimpl;
};
