/*++

Copyright (c) Sydus.

Module:

    ThreadLibSemaphore.h

Authors:

    Sharvil Nanavati (sharvil) 2005-09-23

--*/

#pragma once

#include "base.h"

class ISemaphoreImplementation;

class Semaphore : private NonCopyable
{
	public:
		explicit Semaphore(int32 count);
		~Semaphore();

		void Up();
		void Down();
		bool TryDown();

	private:
		ISemaphoreImplementation * iPimpl;
};
