/*++

Copyright (c) Sydus.

Module:

    Semaphore_Win32.h

Authors:

    Sharvil Nanavati (sharvil) 2006-03-22

--*/

#pragma once

#include "base.h"
#include "ISemaphoreImplementation.h"

class Semaphore_Win32 : public ISemaphoreImplementation
{
	public:
		explicit Semaphore_Win32(int32 count);
		~Semaphore_Win32();

		void Up();
		void Down();
		bool TryDown();

	private:
		HANDLE iSemaphore;
};
